> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /crossref/journals/works

> List works published in a journal by ISSN

**Price:** 5 credits per 20 results



## OpenAPI

````yaml /openapi/research-papers.json post /api/crossref/journals/works
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/crossref/journals/works:
    post:
      tags:
        - /crossref
      summary: /crossref/journals/works
      description: |-
        List works published in a journal by ISSN

        **Price:** 5 credits per 20 results
      operationId: __api_crossref_journals_works_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CrossrefJournalWorksPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CrossrefWork'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CrossrefJournalWorksPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        issn:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - issn
        - count
    CrossrefWork:
      properties:
        '@type':
          type: string
          default: CrossrefWork
        doi:
          type: string
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
        short_title:
          anyOf:
            - type: string
            - type: 'null'
        original_title:
          anyOf:
            - type: string
            - type: 'null'
        container_title:
          items:
            type: string
          type: array
          default: []
        short_container_title:
          items:
            type: string
          type: array
          default: []
        type:
          anyOf:
            - type: string
            - type: 'null'
        publisher:
          anyOf:
            - type: string
            - type: 'null'
        publisher_location:
          anyOf:
            - type: string
            - type: 'null'
        member_id:
          anyOf:
            - type: string
            - type: 'null'
        prefix:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
        abstract:
          anyOf:
            - type: string
            - type: 'null'
        issn:
          items:
            type: string
          type: array
          default: []
        isbn:
          items:
            type: string
          type: array
          default: []
        volume:
          anyOf:
            - type: string
            - type: 'null'
        issue:
          anyOf:
            - type: string
            - type: 'null'
        page:
          anyOf:
            - type: string
            - type: 'null'
        article_number:
          anyOf:
            - type: string
            - type: 'null'
        issued_date:
          anyOf:
            - type: string
            - type: 'null'
        published_date:
          anyOf:
            - type: string
            - type: 'null'
        published_print_date:
          anyOf:
            - type: string
            - type: 'null'
        published_online_date:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        deposited_at:
          anyOf:
            - type: string
            - type: 'null'
        indexed_at:
          anyOf:
            - type: string
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
        reference_count:
          type: integer
          default: 0
        is_referenced_by_count:
          type: integer
          default: 0
        subjects:
          items:
            type: string
          type: array
          default: []
        alternative_ids:
          items:
            type: string
          type: array
          default: []
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        resource_url:
          anyOf:
            - type: string
            - type: 'null'
        event:
          anyOf:
            - $ref: '#/components/schemas/CrossrefEvent'
            - type: 'null'
        authors:
          items:
            $ref: '#/components/schemas/CrossrefAuthor'
          type: array
          default: []
        funders:
          items:
            $ref: '#/components/schemas/CrossrefFunder'
          type: array
          default: []
        licenses:
          items:
            $ref: '#/components/schemas/CrossrefLicense'
          type: array
          default: []
        links:
          items:
            $ref: '#/components/schemas/CrossrefLink'
          type: array
          default: []
        references:
          items:
            $ref: '#/components/schemas/CrossrefReference'
          type: array
          default: []
      type: object
      required:
        - doi
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CrossrefEvent:
      properties:
        '@type':
          type: string
          default: CrossrefEvent
        name:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        acronym:
          anyOf:
            - type: string
            - type: 'null'
        sponsors:
          items:
            type: string
          type: array
          default: []
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        end_date:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CrossrefAuthor:
      properties:
        '@type':
          type: string
          default: CrossrefAuthor
        given:
          anyOf:
            - type: string
            - type: 'null'
        family:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        sequence:
          anyOf:
            - type: string
            - type: 'null'
        orcid:
          anyOf:
            - type: string
            - type: 'null'
        is_authenticated_orcid:
          type: boolean
          default: false
        affiliations:
          items:
            $ref: '#/components/schemas/CrossrefAffiliation'
          type: array
          default: []
      type: object
    CrossrefFunder:
      properties:
        '@type':
          type: string
          default: CrossrefFunder
        name:
          type: string
        doi:
          anyOf:
            - type: string
            - type: 'null'
        awards:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - name
    CrossrefLicense:
      properties:
        '@type':
          type: string
          default: CrossrefLicense
        url:
          type: string
        content_version:
          anyOf:
            - type: string
            - type: 'null'
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        delay_in_days:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - url
    CrossrefLink:
      properties:
        '@type':
          type: string
          default: CrossrefLink
        url:
          type: string
        content_type:
          anyOf:
            - type: string
            - type: 'null'
        content_version:
          anyOf:
            - type: string
            - type: 'null'
        intended_application:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - url
    CrossrefReference:
      properties:
        '@type':
          type: string
          default: CrossrefReference
        key:
          anyOf:
            - type: string
            - type: 'null'
        doi:
          anyOf:
            - type: string
            - type: 'null'
        article_title:
          anyOf:
            - type: string
            - type: 'null'
        journal_title:
          anyOf:
            - type: string
            - type: 'null'
        author:
          anyOf:
            - type: string
            - type: 'null'
        year:
          anyOf:
            - type: string
            - type: 'null'
        volume:
          anyOf:
            - type: string
            - type: 'null'
        first_page:
          anyOf:
            - type: string
            - type: 'null'
        issn:
          anyOf:
            - type: string
            - type: 'null'
        isbn:
          anyOf:
            - type: string
            - type: 'null'
        unstructured:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    CrossrefAffiliation:
      properties:
        '@type':
          type: string
          default: CrossrefAffiliation
        name:
          type: string
      type: object
      required:
        - name
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````